#include "entry.h"
#include "notebook.h"
#include <iostream>
#include <string>
#include <algorithm>
using namespace std;

Notebook::Notebook()
{
	log.clear();
}

void Notebook::Record()
{
	Entry	thisEntry;
	string	localWord;

	while (1)
	{
		localWord.clear();

		cin >> localWord;

		if (localWord[0] == '-' )
		{
			if (HandleFlag(localWord[1]))
			{
				break;
			}
			continue;
		}

		thisEntry.Set(localWord);

		log.push_back(thisEntry);
	}
}

bool Notebook::HandleFlag(char flag)
{
	if (flag == 'q')
		return (true);

	if (flag == '?')
		ShowHelp();

	return (false);
}

void Notebook::ShowHelp()
{
	cout << "\tEnter lines of text in the notebook.\n\tWhen done, enter -q ";
	cout << "as the first characters on a new line.\n";
}

void Notebook::Display()
{
	int	i = 0;
	for (vector<Entry>::const_iterator l = log.begin(); l != log.end(); l++)
	{
		cout << "[" << i++ << "]: ";
		l->Show();
	}
}

